package com.fufan.mtsaas.modules.sysmgr.tsysparam.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.request.DeleteRequest;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.tsysparam.bo.request.SysParamQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.tsysparam.bo.request.SysParamSaveRequest;
import com.fufan.mtsaas.modules.sysmgr.tsysparam.model.TSysParam;

/**
 * 服务类
 *
 * @author Liby
 * @since 2025-03-01
 */
public interface TSysParamSvc extends IService<TSysParam> {

    Result doQueryPage(SysParamQueryRequest map);

    Result doQueryFlowStatus(SysParamQueryRequest map);

    Result doSave(SysParamSaveRequest entity, RequestPojo requestPojo);

    Result doUpdate(SysParamSaveRequest entity, RequestPojo requestPojo);

    Result doDelete(DeleteRequest map, RequestPojo requestPojo);

}
